body {
  overflow-x: hidden;
}

main {
  height: calc(100vh - 3rem);
}

#main-content {
  margin-top: 17rem;
  position: relative;
  text-align: center;
  font-size: 2.5rem;
  font-weight: 600;
  display: flex;
  flex-direction: column;
}

#main-content::after {
  content: "";
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
  background-color: #003eff;
  mix-blend-mode: screen;
  filter: blur(277px);
}

#background {
  position: absolute;
}

.box {
  height: auto;
  padding: 8rem 0;
  text-align: center;
  opacity: 0;
  transform: translateY(20px);
  transition: opacity 0.3s ease, transform 0.3s ease;
}

.box.animate-in {
  opacity: 1;
  transform: translateY(0);
}

#first-box {
  background: linear-gradient(180deg, #fff 26.24%, #dee5ee 100%);
}

#second-box {
  background: #f6f6f6;
}

.box h2 {
  color: #212121;
  font-size: 3rem;
  font-weight: 700;
  margin-bottom: 1rem;
}

.box h3 {
  color: #212121;
  font-size: 1.3rem;
  font-weight: 600;
}

#first-box p {
  color: #666;
  font-size: 2rem;
  font-weight: 500;
  margin-bottom: 4rem;
  word-break: auto-phrase;
}

.card-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 1.6rem;
}

.first-card {
  display: flex;
  flex-direction: column;
  justify-content: start;
  align-items: start;
  gap: 1rem;
  text-align: left;
  background-color: #fff;
  border-radius: 14px;
  padding: 3rem 5rem 3rem 3rem;
  min-width: 280px;
  height: auto;
  flex-shrink: 0;
}

.tag {
  padding: 0.4rem 1.2rem;
  color: #091a4c;
  background-color: #eaeef4;
  border-radius: 50px;
  font-size: 1.3rem;
  font-weight: 500;
  margin: 1rem 0 0.5rem 0;
}

ul {
  color: #666;
  list-style-type: disc;
  list-style-position: inside;
  font-size: 1.2rem;
  font-weight: 500;
}

.card-content {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 2.5rem;
  flex-shrink: 0;
}

.second-card {
  margin-top: 3rem;
  padding: 2.3rem 5rem;
  background-color: #e0e7f0;
  border-radius: 14px;
  color: #091a4c;
  font-weight: 600;
  font-size: 1.6rem;
  width: 100%;
  position: relative;
  --stroke-height: 0%;
}

.second-card::after {
  position: absolute;
  content: "";
  background-image: url("/images/stroke.svg");
  height: 2.5rem;
  width: 2px;
  top: 100%;
  left: 50%;
  transform: scaleY(var(--stroke-height));
  transform-origin: top;
}

.third-card {
  display: flex;
  flex-direction: column;
  border-radius: 14px;
  background: #fff;
  padding: 2rem;
  width: 100%;
  gap: 1rem;
  flex: 1;
}

.third-card p {
  font-size: 1.4rem;
  font-weight: 500;
  color: #212121;
}

.img-container {
  display: flex;
  justify-content: center;
  align-items: center;
}

.img-container img {
  flex: 0 0 50px;
  height: 50px;
  object-fit: scale-down;
}

.timeline {
  position: relative;
  display: inline-flex;
  flex-direction: column;
  justify-content: center;
  align-items: start;
  gap: 5rem;
  width: auto;
  padding-bottom: 7rem;
  margin-top: 7rem;
}

.timeline-line {
  position: absolute;
  left: 27.8%;
  top: 3%;
  background: linear-gradient(180deg, #e0e7f0 67%, #fff 100%);
  width: 2px;
  height: 0;
}

.timeline-content {
  display: flex;
  justify-content: center;
  gap: 6.5rem;
}

.timeline-year {
  color: #e0e7f0;
  font-weight: 700;
  font-size: 3.5rem;
  line-height: 1;
  flex: 0 0 142px;
}

.timeline-year.mobile {
  display: none;
}

.timeline-item {
  text-align: left;
  color: #212121;
  font-weight: 500;
  font-size: 1.1rem;
  flex: 0 0 540px;
}

.timeline-item ol {
  margin-top: 0.8rem;
  display: flex;
  flex-direction: column;
  gap: 0.5rem;
}

.timeline-item li {
  position: relative;
  font-size: 1.4rem;
}

.timeline-item li:first-child::before {
  content: "";
  position: absolute;
  height: 12px;
  width: 12px;
  background-color: #002284;
  border-radius: 50px;
  top: 50%;
  left: -6%;
  transform: translateY(-50%);
}

.timeline-item li:not(first-child)::before {
  content: "";
  position: absolute;
  height: 8px;
  width: 8px;
  background-color: #e0e7f0;
  border-radius: 50px;
  top: 50%;
  left: calc(-6% + 2px);
  transform: translateY(-50%);
}

.timeline-item li span {
  color: #636363;
  font-weight: 400;
}

#forth-box {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 1.5rem;
  margin-bottom: 7rem;
  color: #212121;
  font-weight: 500;
  font-size: 1.5rem;
}

#map-container {
  position: relative;
  width: 60vw;
  height: 60vh;
}

@media (max-width: 768px) {
  #main-content {
    margin-top: 11rem;
    font-size: 2rem;
  }

  .box h2 {
    font-size: 1.8rem;
  }

  #first-box p {
    font-size: 1.5rem;
  }

  .box {
    padding: 5rem 20px;
  }

  .first-card {
    padding: 3rem 2rem;
  }

  .first-card,
  .card-content {
    width: 100%;
  }

  .card-container {
    gap: 1rem;
    margin-top: 2rem;
  }

  #first-box {
    background: linear-gradient(180deg, #fff 10%, #dee5ee 100%);
  }

  .second-card {
    margin-top: 1rem;
  }

  .timeline {
    margin-top: 3rem;
  }

  #forth-box {
    margin-bottom: 3rem;
    font-size: 1.2rem;
  }

  .timeline-year.mobile {
    display: block;
  }

  .timeline-year.desktop {
    display: none;
  }

  .timeline-item {
    flex: auto;
    left: -70px;
  }

  .timeline-content {
    padding-left: 50px;
  }

  .timeline-line {
    left: 25px;
    top: 80px;
  }

  .timeline-item li:first-child::before {
    left: -30px;
    top: 16px;
  }

  .timeline-item li:not(first-child)::before {
    left: -28px;
    top: 16px;
  }

  #map-container {
    width: 100%;
  }
}
